Stores information about the request for a nonce.

| Constructors ||
|---|---|
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest#goog.cast.pal.NonceRequest.constructor` |   |

| Properties ||
|---|---|
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest#goog.cast.pal.NonceRequest.adWillAutoPlay` | Set to a `true` value if the ad autoplays without waiting for user interaction. |
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest#goog.cast.pal.NonceRequest.adWillPlayMuted` | Set to a `true` value if the ad plays while muted. |
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest#goog.cast.pal.NonceRequest.continuousPlayback` | Set to a `true` value if the player intends to continuously play the content videos one after another similar to TV broadcast or video playlist. |
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest#goog.cast.pal.NonceRequest.descriptionUrl` | The description URL of the content during which the ad plays. |
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest#goog.cast.pal.NonceRequest.iconsSupported` | **Deprecated.**Whether VAST icons are supported by the video player. |
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest#goog.cast.pal.NonceRequest.nonceLengthLimit` | The length limit of the generated nonce. |
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest#goog.cast.pal.NonceRequest.playerType` | The partner provided player type. |
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest#goog.cast.pal.NonceRequest.playerVersion` | The partner provided player version. |
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest#goog.cast.pal.NonceRequest.ppid` | The publisher provided ID. |
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest#goog.cast.pal.NonceRequest.sessionId` | A temporary, random ID for frequency capping on connected TVs, such as smart TVs, game consoles, and set-top-boxes. |
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest#goog.cast.pal.NonceRequest.skippablesSupported` | Determines if the video player supports VAST skippable ads. |
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest#goog.cast.pal.NonceRequest.url` | The URL that ads are targeting. |
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest#goog.cast.pal.NonceRequest.videoHeight` | The height of the ad video element. |
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest#goog.cast.pal.NonceRequest.videoWidth` | The width of the ad video element. |

## Constructors

*** ** * ** ***

### constructor

`new NonceRequest(): https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest`

| Returns ||
|---|---|
| `https://developers.google.com/ad-manager/pal/cast/reference/class/goog.cast.pal.NonceRequest` |   |

## Properties

*** ** * ** ***

### adWillAutoPlay

`adWillAutoPlay: boolean` Set to a `true` value if the ad autoplays without waiting for user interaction. Set to a `false` value if the ad waits for user interaction to start playback.

*** ** * ** ***

### adWillPlayMuted

`adWillPlayMuted: boolean` Set to a `true` value if the ad plays while muted. Set to a `false` value if the ad plays unmuted.

*** ** * ** ***

### continuousPlayback

`continuousPlayback: boolean` Set to a `true` value if the player intends to continuously play the content videos one after another similar to TV broadcast or video playlist. Set to a `false` value otherwise.

*** ** * ** ***

### descriptionUrl

`descriptionUrl: string` The description URL of the content during which the ad plays. PAL SDK ignores description URL strings longer than 500 characters and excludes them from the nonce.

*** ** * ** ***

### iconsSupported

`iconsSupported: boolean` Whether VAST icons are supported by the video player.

> [!WARNING]
> **Deprecated:** PAL SDK ignores this property and the associated `wta=` request parameter. Your video player must display VAST icons included in ads served by Google. For details, see [AdChoices icon and overlay](https://developers.google.com/ad-manager/pal/cast/wta).

*** ** * ** ***

### nonceLengthLimit

`nonceLengthLimit: number` The length limit of the generated nonce. The `loadNonceManager` promise is rejected if the nonce is longer than this limit. Defaults to the largest possible integer. Choosing a shorter length limit might exclude `NonceRequest` instance properties from the nonce.

*** ** * ** ***

### playerType

`playerType: string` The partner provided player type. Use this property to specify the name of the partner player. PAL SDK ignores player type strings longer than 200 characters and excludes them from the nonce.

*** ** * ** ***

### playerVersion

`playerVersion: string` The partner provided player version. Use this property to specify the version of the partner player. PAL SDK ignores player version strings longer than 200 characters and excludes them from the nonce.

*** ** * ** ***

### ppid

`ppid: string` The publisher provided ID. PAL SDK ignores PPID values longer than 200 characters and excludes them from the nonce.

*** ** * ** ***

### sessionId

`sessionId: string` A temporary, random ID for frequency capping on connected TVs, such as smart TVs, game consoles, and set-top-boxes. A session ID must be a UUID.

*** ** * ** ***

### skippablesSupported

`skippablesSupported: boolean` Determines if the video player supports VAST skippable ads.

*** ** * ** ***

### url

`url: string` The URL that ads are targeting. By default, this URL is the same as the page that displays the ads, but you can set the URL manually.

*** ** * ** ***

### videoHeight

`videoHeight: number` The height of the ad video element.

*** ** * ** ***

### videoWidth

`videoWidth: number` The width of the ad video element.